| Home | Libraries | People | FAQ | More

## Struct template rolling_mean_impl

boost::accumulators::impl::rolling_mean_impl

## Synopsis

    // In header: <boost/accumulators/statistics/rolling_mean.hpp>

    template<typename Sample>
    struct rolling_mean_impl {
      // types
      typedef numeric::functional::average< Sample, std::size_t >::result_type result_type;

      // construct/copy/destruct
      rolling_mean_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

### `rolling_mean_impl` public construct/copy/destruct

1.     rolling_mean_impl(dont_care);

### `rolling_mean_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;